<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.modules</groupId>
        <artifactId>uniform-service</artifactId>
        <version>1.8.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <groupId>ru.entaxy.esb.platform.runtime.modules.uniform.service</groupId>
    <artifactId>uniform-service-endpoint</artifactId>
    <packaging>bundle</packaging>

    <name>ENTAXY :: PLATFORM :: RUNTIME :: MODULES :: UNIFORM :: SERVICE :: ENDPOINT</name>
    <description>ENTAXY :: PLATFORM :: RUNTIME :: MODULES :: UNIFORM :: SERVICE :: ENDPOINT</description>

    <properties>
        <bundle.osgi.import.pkg>
            javax.xml.soap*;version="[1.3,2)",
            javax.jws.*;version="[2.0.0,3.0.0)",
            javax.jws.soap.*;version="[2.0.0,3.0.0)",
            javax.xml.ws.*;version="[2.2.0,3.0.0)",
            ru.entaxy.esb.system.core.common.error.handler.interceptor,
            ru.entaxy.esb.system.core.template,
            ru.entaxy.esb.system.profile.commons,
            ru.entaxy.esb.system.profile.commons.connectors.in,
            ru.entaxy.esb.system.profile.commons.connectors.out,
            javax.xml.bind;version="[2,3)",
            javax.xml.bind.annotation;version="[2,3)",
            javax.persistence;version="[2,3)",
            ru.entaxy.esb.platform.runtime.modules.uniform-service.wsdl,
            ru.entaxy.esb.platform.runtime.modules.uniform-service.xslt,
            ru.entaxy.esb.platform.runtime.modules.uniform-service.xslt.type,
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>ru.entaxy.esb.system.commons</groupId>
            <artifactId>system-commons</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.registry.systems.profile</groupId>
            <artifactId>system-profile-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.registry.systems.profile</groupId>
            <artifactId>system-profile-collector</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-transports-http</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-transports-http-jetty</artifactId>
        </dependency>
    </dependencies>
</project>